nfsen nfsen-1.3.8_1 / perl segmentation faults - newer perl to test?

From: Karl Pielorz <kpielorz_lst_at_tdx.co.uk>
Date: Fri, 23 Jul 2021 14:03:33 +0100
Hi All,

We've been running the nfsen pkg (under FreeBSD 11.4) for a long time - 
after recent upgrades we noticed 'nfsend' kept dying (which kills the graph 
updates essentially making it useless). Having persuaded 'nfsend' to run in 
foreground - after a random few minutes to hours we see:

"
...
Setup channel 'acl_ssh_i' in profile 'acl99' group '.', channellist 'c1|c1'
Segmentation fault (core dumped)
"

This happens at random points (i.e. it's not just that profile that's 
killing it).

Finally getting a core - this seems to show:

"
(gdb) bt
#0  0x0000000800b046ae in Perl_csighandler () from 
/usr/local/lib/perl5/5.32/mach/CORE/libperl.so.5.32
#1  0x0000000800facc80 in pthread_sigmask () from /lib/libthr.so.3
#2  0x0000000800fac24f in pthread_getspecific () from /lib/libthr.so.3
"

I found <https://github.com/perl/perl5/issues/9570> which is for a signal 
issue with perl causing a segfault - which may be fixed in 5.35.2. 
nfsen-1.3.8_1 uses perl 5.32.1

I can't really tell if that is the issue - or if it's related - but I'm 
guessing there's no easy way to get the nfsen pkg to use a different 
version of perl so I can at least test if this fixes it?

-Karl
Received on Fri Jul 23 2021 - 13:03:33 UTC

Original text of this message